[Task] ChangeOpClaim should handle indices per property id
Closed, InvalidPublic

Description

Currently there exists ByPropertyIdArray in DataModel which does the indexing and is quite complicated as well as almost not maintainable. It also has several other issues, so getting rid of this class is one of the goals of this task.

Furthermore, it will be easier in the ui and api to have an index for each property id and then indices within each per-property group.

Note: Properties should be sorted by their rank automatically, which makes the whole thing a bit more complicated.

Bene created this task.May 6 2015, 5:24 PM
Bene updated the task description. (Show Details)
Bene raised the priority of this task from to Normal.
Bene added subscribers: Bene, JeroenDeDauw, thiemowmde, daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 5:24 PM
Bene claimed this task.EditedMay 6 2015, 7:20 PM

I have created a proposal on Github for the underlying datastructure needed for this change. See https://github.com/wmde/WikibaseDataModel/pull/479 and https://github.com/wmde/WikibaseDataModel/pull/480

Bene added a comment.May 8 2015, 10:42 AM

This requires a change in the api module: the index parameter of wbsetclaim does no longer move the property group when it does not fit. Furthermore this parameter is now relative to the beginning of the property group. A new parameter called groupindex must be added as well to allow moving whole groups.

This requires only small refactoring in the UI/Javascript code because moving of statements is currently disabled and not implemented. With this changes it should be easier to add this feature again in the UI.

Change 209451 had a related patch set uploaded (by Bene):
[DNM] Use ByPropertyIdMap in ChangeOpClaim

https://gerrit.wikimedia.org/r/209451

Bene updated the task description. (Show Details)May 13 2015, 7:37 PM
Bene set Security to None.
Jonas renamed this task from ChangeOpClaim should handle indices per property id, using another parameter to handle moving of per-property groups to [Task] ChangeOpClaim should handle indices per property id, using another parameter to handle moving of per-property groups.Aug 13 2015, 4:48 PM

Change 209451 abandoned by Bene:
[DNM] Use ByPropertyIdMap in ChangeOpClaim

Reason:
Will not be done this way

https://gerrit.wikimedia.org/r/209451

Bene renamed this task from [Task] ChangeOpClaim should handle indices per property id, using another parameter to handle moving of per-property groups to [Task] ChangeOpClaim should handle indices per property id.Aug 28 2015, 7:21 PM
Lydia_Pintscher closed this task as Invalid.Nov 21 2016, 2:52 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Closing for now. Please reopen if it becomes relevant again.